FSCK.MINIX(8)

NAZWA
fsck.minix - sprawdza spójność systemu plików Minix

SKŁADNIA
fsck.minix [opcje] urządzenie

OPIS
fsck.minix - sprawdza spójność linuksowego systemu plików MINIX.

Program zakłada, że system plików jest unieruchomiony (nie pracuje). fsck.minix nie powinien być stosowany na zamontowanym urządzeniu, chyba że jest się pewnym, że nikt nań nie zapisuje. Proszę pamiętać, że jądro może zapisywać na urządzeniu gdy poszukuje plików.

Urządzenie podane jest zwykle z poniższej postaci:
    /dev/hda[1–63] | IDE dysk 1
    /dev/hdb[1–63] | IDE dysk 2
    /dev/sda[1–15] | SCSI dysk 1
    /dev/sdb[1–15] | SCSI dysk 2

Jeżeli system plików został zmieniony (np. naprawiony), to fsck.minix wyświetli "FILE SYSTEM HAS CHANGED" (SYSTEM PLIKÓW SIĘ ZMIENIŁ) i wykona trzykrotnie sync(2) przed zakończeniem pracy. Nie ma potrzeby przeładowywania systemu po sprawdzeniu.

OSTRZEŻENIE
fsck.minix nie powinien być stosowany na zamontowanych systemach plików. Posługiwanie się fsck.minix na zamontowanym systemie plików jest bardzo niebezpieczne. Istnieje możliwość, że usunięte pliki są wciąż używane, z tego powodu może poważnie uszkodzić doskonale poprawny system plików! Jeżeli istnieje konieczność uruchomienia fsck.minix na zamontowanym systemie plików (tj. w katalogu głównym (korzeniu) systemu plikowego), proszę się upewnić, że na dysk nic nie jest zapisywane i nie ma żadnych "uśpionych" ("zombies") plików oczekujących na usunięcie.

OPCJE

-l, --list
    Pokazuje wszystkie nazwy plików.

-r, --repair
    Wykonuje naprawy interaktywnie.

-a, --auto
    Wykonuje naprawy automatycznie. Opcja ta implikuje -r i służy do udzielania domyślnej odpowiedzi na wszystkie pytania. Proszę zauważyć, że może to być niezwykle niebezpieczne w przypadku poważnego uszkodzenia systemu plików.

-v, --verbose
    Więcej szczegółów.

-s, --super
    Wyświetla informację o super-bloku.

-m, --uncleared
    Aktywuje ostrzeżenia "mode not cleared" w stylu MINIX.

-f, --force
    Wymusza kontrolę systemu plików, nawet jeśli system plików został oznakowany jako poprawny. Znakowanie to wykonywane jest przez jądro gdy system plików jest odmontowywany.

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

-h, --help
    Wyświetla pomoc i wychodzi.

DIAGNOSTYKA
Występuje wiele komunikatów diagnostycznych. Wymienione poniżej są najczęściej spotykanymi podczas zwykłego użytkowania.

Jeżeli urządzenie nie istnieje, fsck.minix wyświetli "unable to read super block" (nie można odczytać super-bloku). Jeśli urządzenie istnieje, ale nie jest miniksowym systemem plików, fsck.minix wyświetli "bad magic number in super-block" (błędna liczba magiczna w super-bloku).

KODY ZAKOŃCZENIA
Kod zakończenia zwracany przez fsck.minix jest sumą poniższych:

    0   Bez błędów
    3   Poprawiono błędy systemu plików, jeśli system plików był zamontowany, to system powinien zostać ponownie uruchomiony.
    4   Błędy systemu plików pozostały niepoprawione
    7   Kombinacja kodów zakończenia 3 i 4.
    8   Błąd działania
    16  Błąd użycia (składni)

AUTORZY
Linus Torvalds (torvalds@cs.helsinki.fi)
Wartości kodów błędów: Rik Faith (faith@cs.unc.edu)
Dodana obsługa flagi poprawności systemu plików: Dr. Wettstein (greg%wind.uucp@plains.nodak.edu).
Dodana kontrola dla uniknięcia fsck na zamontowanym systemie plików: Daniel Quinlan (quinlan@yggdrasil.com).
Obsługa systemu plików Minix v2: Andreas Schwab (schwab@issan.informatik.uni-dortmund.de), zaktualizowana przez: Nicolai Langfeldt (janl@math.uio.no).
Ładna przenośności: Russell King (rmk@ecs.soton.ac.uk).

ZOBACZ TAKŻE
fsck(8), fsck.ext2(8), mkfs(8), mkfs.minix(8), mkfs.ext2(8), reboot(8)

DOSTĘPNOŚĆ
Polecenie fsck.minix jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.